Bug 522467 - carod requires python 2.4 not available on RHEL4
Summary: carod requires python 2.4 not available on RHEL4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: 1.2
: ---
Assignee: Robert Rati
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 488996 488998 489009
TreeView+ depends on / blocked
 
Reported: 2009-09-10 12:13 UTC by Martin Kudlej
Modified: 2010-03-16 14:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 14:30:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Kudlej 2009-09-10 12:13:58 UTC
Description of problem:
Carod doesn't run with python 2.3 which is default in RHEL 4.x.
Carod uses subprocess library which is new in python 2.4.

$ carod -l
Traceback (most recent call last):
  File "/usr/sbin/carod", line 28, in ?
    from jobhooks.functions import *
  File "/usr/lib/python2.3/site-packages/jobhooks/functions.py", line 23, in ?
    from subprocess import *
ImportError: No module named subprocess

Version-Release number of selected component (if applicable):
RHEL 4.8, python 2.3, condor-low-latency 1.0-19.el4, condor 7.3-0.4.el4

How reproducible:
100%

Comment 1 Robert Rati 2009-09-11 16:54:58 UTC
Fixed in:
condor-job-hooks-1.0-13

Comment 2 Martin Kudlej 2009-09-23 13:36:43 UTC
Tested on RHEL4.8 i386/x86_64 with condor-job-hooks-1.0-13.el4 and it works --> VERIFIED.

Comment 3 Jeff Needle 2010-03-16 14:30:30 UTC
The fix for this bug was included in the MRG 1.2 release.

Comment 4 Jeff Needle 2010-03-16 14:35:29 UTC
The fix for this bug was included in the MRG 1.2 release.


Note You need to log in before you can comment on or make changes to this bug.